## pam-mysql 0.5.0

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
        -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline \
        -Wshadow -pedantic -fPIC
 export MKDIR=mkdir -p
-export LD_D=gcc -shared -Xlinker -x -L/usr/lib/mysql
+export LD_D=gcc -shared -Xlinker -x -L/usr/lib/mysql -lz
 endif
 
 #
