## pam-mysql 0.8.0

=== debian/changelog ===
pam-mysql (0.8.0-1) unstable; urgency=medium

  * [3c01801] Add gbp.conf
  * [94abb69] Add watch file
  * [c2aa7a2] New upstream release (0.8.0) (Closes: #153915, #701104, #765492)
  * [35f1b01] Switch to 3.0 (quilt) source format (Closes: #670859)
  * [b72aca0] Convert the needed dpatch into a quilt patch.
    The OpenSSL define isn't needed anymore with 0.8.0.
  * [9baf691] Run wrap-and-sort -ast
  * [0277080] Switch to debhelper 9 and the dh sequencer
    (Closes: #490772, #542084)
  * [8c1a121] OpenSSL is used via pkg-config (Closes: #685480)
  * [722876f] Conffiles under /etc are registered automatically by debhelper
  * [0d425f6] 0.8.0 ships AUTHORS instead of CREDITS
  * [f7bcabc] Play safe: add #DEBHELPER# token to our postinst
  * [05aa024] Adopt the package
  * [0207e87] Update Standards-Version to 3.9.8 (no changes required)
  * [ac4dfab] Abort maintainer script execution on errors
  * [cb277fa] Remove useless debian/libpam-mysql.substvarsold
  * [ac5e1b2] Rip out debconf interface.
    The generally sensible configuration is the default one.
    For the rest, dpkg-statoverride is there.
    (Closes: #685580, #687555, #687709, #687723, #687816, #687945, #688052,
             #688154, #688431, #689040, #689462)
  * [c7c2a4d] Override Lintian warning about permissions of pam-mysql.conf
  * [bbbd6c8] Switch to machine-readable debian/copyright
  * [7d69003] MariaDB client libraries are equally good for us (Closes: #845886)
  * [be2238a] Enable multi-arch
  * [46f061c] Remove stale TODO file
  * [65d9806] Enable hardening
  * [e2fd9b5] Add Homepage field
  * [65c419b] Add Vcs-Git and Vcs-Browser fields
  * [b88603e] New patch Don-t-destroy-CPPFLAGS.patch.
    Don't destroy CPPFLAGS
  * [c8ad7b0] New patch Eliminate-obsolete-AC_OUTPUT-argument.patch.
    Eliminate obsolete AC_OUTPUT argument
  * [b5bd0a5] Fail build on undefined symbols in the module
  * [0f734a2] New patch AC_CONFIG_FILES-are-automatically-distributed.patch.
    AC_CONFIG_FILES are automatically distributed
  * [bf7533a] Reword the package description.
    Thanks to Justin B Rye in #685580.
  * [bd601cf] New patch Fix-spelling-in-README-slogs-slows.patch.
    Fix spelling in README: slogs -> slows

 -- Ferenc Wágner <wferi@debian.org>  Thu, 01 Dec 2016 11:19:34 +0100

pam-mysql (0.7~RC1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on libmysqlclient-dev instead of libmysqlclient15-dev
    (Closes: #790455)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 18 Apr 2016 21:45:50 +0200

pam-mysql (0.7~RC1-4) unstable; urgency=low

  * Set bogus passwd in pam_mysql.conf so that root won't be able to
    log as root without password
  * Added patch to link against libpam. (closes: #418500). Kudos to
    Christian Hammers for patch

 -- Lars Bahner <bahner@debian.org>  Fri, 30 Jan 2009 18:19:10 +0100

pam-mysql (0.7~RC1-3) experimental; urgency=low

  * debconf
  * more cleanup
  * added -f switch to rm in rules (closes: #490772) 
  * New version fixes bugs (closes: #367535, #368653, #238478)

 -- Lars Bahner <bahner@debian.org>  Mon, 26 Jan 2009 08:36:06 +0100

pam-mysql (0.7~RC1-2) experimental; urgency=low

  * Bumped license to GPL-3 explicitly.
  * Cleaned up packaging a bit
  * Added conffile /etc/libpam-mysql.conf

 -- Lars Bahner <bahner@debian.org>  Mon, 26 Jan 2009 03:24:56 +0100

pam-mysql (0.7~RC1-1) experimental; urgency=low

  * Added myself as uploader after request from Pawel.
  * New upstream version (closes: #389347)
  * Added patch to build with openssl (closes: #373834, #495532)
  * Version 0.7 uses external config.file (closes: #297930

 -- Lars Bahner <bahner@debian.org>  Sun, 25 Jan 2009 22:44:08 +0100

pam-mysql (0.6.2-1) unstable; urgency=high

  * New upstream version (closes: #332714, #353589, #307861, #292097)
  * Severity high because it fixes critical vulnerabilities (CVE-2005-4713,
    CVE-2006-0056)
  * Rebuilt against libmysqlclient15 (closes: #356745)
  * Updated standards version and debhelper compatibility level

 -- Paweł Więcek <coven@debian.org>  Fri, 21 Apr 2006 07:20:56 +0200

pam-mysql (0.5.0-7) unstable; urgency=low

  * Added patch from Magnus Holmgren <holmgren@lysator.liu.se> to fix behavior
    when NULL passwords are used (closes: #297819)
  * Rebuilt agains libmysqlclient12

 -- Pawel Wiecek <coven@debian.org>  Wed, 18 May 2005 21:38:56 +0200

pam-mysql (0.5.0-6) unstable; urgency=low

  * Added patch by Kees Cook taken from from sf.net patch tracker and
    adapted by Thomas Viehmann.
  * Link against libpam. (Closes: #245790)
  * Added -fno-strict-aliasing to CFLAGS.

 -- Pawel Wiecek <coven@debian.org>  Tue,  8 Jun 2004 22:27:54 +0200

pam-mysql (0.5.0-5) unstable; urgency=low

  * Added patch from Lehel Bernadt <lehel@pmc-services.hu> to allow
    specification of mysql port (closes: #233813)

 -- Pawel Wiecek <coven@debian.org>  Tue,  9 Mar 2004 01:23:27 +0100

pam-mysql (0.5.0-4) unstable; urgency=low

  * Workaround a problem with crypt() calls (closes: #223486)
  * Switched to off by default and documented MySQL logging (closes: #197028)

 -- Pawel Wiecek <coven@debian.org>  Thu, 22 Jan 2004 14:00:49 +0100

pam-mysql (0.5.0-3) unstable; urgency=low

  * Applied patch from Christian Hammers <ch@debian.org> to fix maximum
    database name string length (closes: #201261)
  * Updated standards version (no changes required)

 -- Pawel Wiecek <coven@debian.org>  Tue, 14 Oct 2003 15:03:45 +0200

pam-mysql (0.5.0-2) unstable; urgency=low

  * Don't compile in debug mode anymore (closes: #195034)
  * Updated standards version

 -- Pawel Wiecek <coven@debian.org>  Wed, 28 May 2003 12:42:17 +0200

pam-mysql (0.5.0-1) unstable; urgency=low

  * New upstream version (closes: #187015)
  * Updated standards version

 -- Pawel Wiecek <coven@debian.org>  Tue, 29 Apr 2003 14:22:36 +0200

pam-mysql (0.4.7-1) unstable; urgency=low

  * New maintainer (closes: #107967, #77537, #97616)


