=== debian/control ===
Source: pam-mysql
Section: admin
Priority: extra
Maintainer: Ferenc Wágner <wferi@debian.org>
Standards-Version: 3.9.8
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 default-libmysqlclient-dev,
 libpam0g-dev,
 libssl-dev,
 pkg-config,
Homepage: https://github.com/NigelCunningham/pam-MySQL
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pam-mysql.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pam-mysql.git

Package: libpam-mysql
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: PAM module interfacing with MySQL databases
 This module lets PAM-enabled applications get authentication and
 account information from MySQL databases.  Passwords can be stored
 in various encrypted formats, for example as crypt, MD5 or SHA1 hashes,
 in MySQL format or in the Drupal 7 salted format.  Account and password
 expiration is handled via SQL expressions.  Logging into MySQL is also
 supported.
