## pam-mysql 0.8.1

=== debian/changelog ===
pam-mysql (0.8.1-5build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 10:53:25 +0100

pam-mysql (0.8.1-5) unstable; urgency=medium

  * [992bbb4] Revert "Our autopkgtest does not need isolation-container"
    This reverts commit 706c19c4b26dff15a507880d50b073eb6e9e5afa.
    Running a MariaDB server actually requires a container, because its
    default config binds to the localhost:mysql TCP port.
  * [e958afe] New patch: The bundled crypto routines check WORDS_BIGENDIAN
    (Closes: #984888)
  * [abc53e1] Upgrade Standards-Version to 4.5.1 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 14 Mar 2021 16:39:51 +0100

pam-mysql (0.8.1-4) unstable; urgency=medium

  * [66c1950] New patch: Fix FTCBFS: fails finding mysql libraries.
    Thanks to Helmut Grohne (Closes: #972891)
  * [f67ff9a] New patch: Embed xgethostname 20020413 for Hurd compatibility
  * [651c549] Extend our autopkgtest for all supported crypt algorithms
  * [4f91453] Make the autopkgtest easily rerunnable
  * [706c19c] Our autopkgtest does not need isolation-container
  * [041eb89] New patch: Avoid segfault on unexpected Joomla hash value
  * [51e4c09] Apply patches to re-enable MySQL 3.23 hash support
  * [62ed75e] Bump watch file to version 4

 -- Ferenc Wágner <wferi@debian.org>  Mon, 16 Nov 2020 23:48:04 +0100

pam-mysql (0.8.1-3) unstable; urgency=medium

  [ Ferenc Wágner ]
  * [80013d6] Enroll to basic Salsa CI
  * [cbb0c2d] New patch: Convert AUTHORS file to UTF-8 to eliminate uncertainty

  [ Debian Janitor ]
  * [0d0b76b] Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    Fixes: lintian: upstream-metadata-missing-repository

  [ Robie Basak ]
  * [aca2e8b] Port autopkgtest to Python 3 to fix failure (Closes: #943149)

 -- Ferenc Wágner <wferi@debian.org>  Wed, 04 Nov 2020 09:53:50 +0100

pam-mysql (0.8.1-2) unstable; urgency=medium

  * [bbe5f45] Revert the 0.8.1-1.1 NMU, we can't switch to Python3 yet.
    Because python-pam exists for Python 2 only.
    So use python2 explicitly for running the test.
  * [e2f669a] Update Standards-Version to 4.5.0 (no changes needed)
  * [7728c93] Switch to Debhelper compat level 12
  * [ad12f54] Enable rootless build

 -- Ferenc Wágner <wferi@debian.org>  Sun, 09 Aug 2020 23:21:30 +0200

pam-mysql (0.8.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Robie Basak ]
  * Port autopkgtest to Python 3 to fix failure. Closes: #943149.

 -- Matthias Klose <doko@debian.org>  Sun, 09 Aug 2020 12:04:35 +0200

pam-mysql (0.8.1-1) unstable; urgency=medium

  * [3f82e6e] Update old style gbp.conf section names
  * [16e3f9f] Priority: extra is deprecated, use optional instead
  * [f3c8bd1] Update Standards-Version to 4.1.4 (no changes required)
  * [30d1a84] Clean up trailing whitespace in the debian directory
  * [87f1960] Migrate to salsa.debian.org/debian
  * [1c8787f] Switch to Debhelper compat level 11
  * [06f4553] Add autopkgtest for authentication success and failure.
    Pamtester would have required an Expect script as well, so written in
    Python instead.
  * [1d1fe30] Several gbp subcommands use pristine-tar
  * [cc1cc03] New upstream release (0.8.1)
  * [c6ebd04] Remove upstreamed (that is: all) patches

 -- Ferenc Wágner <wferi@debian.org>  Tue, 29 May 2018 06:03:27 +0200
