=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 SECDIR = /lib/$(DEB_HOST_MULTIARCH)/security
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -19,7 +19,10 @@
 
 override_dh_install:
 	rm debian/libpam-mysql/$(SECDIR)/pam_mysql.la
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_fixperms:
 	dh_fixperms
