## pam-mysql 0.8.2

=== debian/changelog ===
pam-mysql (0.8.2-3) unstable; urgency=medium

  * [51719a3] Add libcrypt-dev to Build-Depends.
    The pam_mysql.c source file includes crypt.h. (Closes: #1107001)
  * [8f526f9] pkgconf superseded pkg-config
  * [77c2c1f] Replace the old postal address of the FSF with its HTTP link
  * [fb6a80a] Update Standards-Version to 4.7.2 (no changes required)
  * [18977d2] Update copyright year of debian directory

 -- Ferenc Wágner <wferi@debian.org>  Sun, 17 Aug 2025 13:44:33 +0200

pam-mysql (0.8.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Biebl ]
  * Install PAM module into /usr. (Closes: #1061713)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 10:11:54 +0200

pam-mysql (0.8.2-2) unstable; urgency=medium

  * [9f6980e] New patch: Update README.
    Thanks to Thomas Strohmeier
  * [9bf9187] Extend autopkgtest with SSHA, SHA256 and SHA512 methods
  * [c6fb020] Clean up the test code a little

 -- Ferenc Wágner <wferi@debian.org>  Mon, 30 Jan 2023 18:30:41 +0100

pam-mysql (0.8.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [a6cd0b0] Update lintian override info to new format on line 2.
    Changes-By: lintian-brush
    Fixes: lintian: mismatched-override
  * [1d5c357] Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing,
    which is now the default.
    Changes-By: lintian-brush
    Fixes: lintian: package-uses-old-debhelper-compat-version
  * [00257c4] Update standards version to 4.6.1, no changes needed.
    Changes-By: lintian-brush
    Fixes: lintian: out-of-date-standards-version

  [ Ferenc Wágner ]
  * [957a0b5] Adapt watch file to upstream changes
  * [56cb2d9] New upstream release (0.8.2)
  * [f29e024] Refresh our patches
  * [a2d65ba] Update Standards-Version to 4.6.2 (no changes required)
  * [bf07510] Update copyright dates
  * [6f52398] Attach copyright to the patch introducing xgethostname
  * [3554532] Tune config file via execute_after_dh_fixperms
  * [3f3a37a] pam_mysql.la is installed by upstream, not by dh_install

 -- Ferenc Wágner <wferi@debian.org>  Mon, 30 Jan 2023 11:21:48 +0100
