=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: pam-mysql
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Ferenc Wágner <wferi@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper-compat (= 13),
  default-libmysqlclient-dev,
+ libcrypt-dev,
  libpam0g-dev,
  libssl-dev,
- pkg-config,
+ pkgconf,
 Homepage: https://github.com/NigelCunningham/pam-MySQL
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pam-mysql.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pam-mysql.git
+Vcs-Git: https://salsa.debian.org/debian/pam-mysql.git
+Vcs-Browser: https://salsa.debian.org/debian/pam-mysql
 
 Package: libpam-mysql
 Architecture: any
