=== debian/watch ===
version=4

opts=\
  filenamemangle=s#.+/v?(\d\S+)\.tar\.gz#pam-mysql-$1.tar.gz#,\
  uversionmangle=s#(\d)[_.+-]?((RC|rc|pre|dev|beta|alpha)\d*)$#$1~$2# \
  https://github.com/NigelCunningham/pam-MySQL/tags .*/v?(\d\S+)\.tar\.gz
